--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY configurable_u6 IS
  PORT(
      DA : IN std_logic_vector(7 downto 0);
      DB : IN std_logic_vector(7 downto 0);
      Y : OUT std_logic_vector(7 downto 0);
      S : IN std_logic
  );
END configurable_u6;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF configurable_u6 IS
BEGIN
    PROCESS(DA, DB, S)
    BEGIN
        CASE S IS
            WHEN '0' =>
                Y <= DA;
            WHEN '1' =>
                Y <= DB;
            WHEN OTHERS => NULL;
        END CASE;
    END PROCESS;
END structure;
--------------------------------------------------------------------------------
